## org.eclipse.emf.mapping.action
Class TypeMatchMappingAction.DelegateCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CompoundCommand
              org.eclipse.emf.mapping.action.TypeMatchMappingAction.DelegateCommand

All Implemented Interfaces:
  Command, CommandActionDelegate

Enclosing class:
  TypeMatchMappingAction

    public static class TypeMatchMappingAction.DelegateCommand

extends CompoundCommand
implements CommandActionDelegate

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary
`protected java.util.Collection<?>` `collection`
`protected Command` `createMappingCommand`
`protected MappingDomain` `mappingDomain`

Fields inherited from class org.eclipse.emf.common.command.CompoundCommand
`commandList, LAST_COMMAND_ALL, MERGE_COMMAND_ALL, resultIndex`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`TypeMatchMappingAction.DelegateCommand(EditingDomain editingDomain, CommandParameter commandParameter)`

Method Summary
`void` `dispose()` Calls `Command.dispose()` for each command in the list.
`void` `execute()` Calls `Command.execute()` for each command in the list.
`java.lang.Object` `getImage()` This returns the icon, if any, of the action.
`java.lang.String` `getText()` This returns the menu text, if any, of the action.
`java.lang.String` `getToolTipText()` This returns the tool tip text, if any, of the action.
`protected boolean` `prepare()` Returns whether all the commands can execute so that `AbstractCommand.isExecutable` can be cached.

Methods inherited from class org.eclipse.emf.common.command.CompoundCommand
`append, appendAndExecute, appendIfCanExecute, canUndo, getAffectedObjects, getCommandList, getDescription, getLabel, getMergedAffectedObjectsCollection, getMergedResultCollection, getResult, getResultIndex, isEmpty, redo, toString, undo, unwrap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.command.CommandActionDelegate
`canExecute, getDescription`

Field Detail

### mappingDomain

    protected MappingDomain mappingDomain

### collection

    protected java.util.Collection<?> collection

### createMappingCommand

    protected Command createMappingCommand

Constructor Detail

### TypeMatchMappingAction.DelegateCommand

    public TypeMatchMappingAction.DelegateCommand(EditingDomain editingDomain,
                                                  CommandParameter commandParameter)

Method Detail

### prepare

    protected boolean prepare()

  Description copied from class: `CompoundCommand`
  Returns whether all the commands can execute so that `AbstractCommand.isExecutable` can be cached. An empty command list causes `false` to be returned.

  Overrides:
    `prepare` in class `CompoundCommand`
  Returns:
    whether all the commands can execute.

### execute

    public void execute()

  Description copied from class: `CompoundCommand`
  Calls `Command.execute()` for each command in the list.

  Specified by:
    `execute` in interface `Command`
  Overrides:
    `execute` in class `CompoundCommand`

### getImage

    public java.lang.Object getImage()

  This returns the icon, if any, of the action.

  Specified by:
    `getImage` in interface `CommandActionDelegate`

### getText

    public java.lang.String getText()

  Description copied from interface: `CommandActionDelegate`
  This returns the menu text, if any, of the action.

  Specified by:
    `getText` in interface `CommandActionDelegate`

### getToolTipText

    public java.lang.String getToolTipText()

  This returns the tool tip text, if any, of the action.

  Specified by:
    `getToolTipText` in interface `CommandActionDelegate`

### dispose

    public void dispose()

  Description copied from class: `CompoundCommand`
  Calls `Command.dispose()` for each command in the list.

  Specified by:
    `dispose` in interface `Command`
  Overrides:
    `dispose` in class `CompoundCommand`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.